<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:background="@color/white"
    android:layout_height="match_parent">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />

    <FrameLayout
        android:id="@+id/layout_search"
        android:layout_width="match_parent"
        android:layout_height="?actionBarSize"
        android:layout_marginStart="@dimen/dp_50"
        android:layout_marginEnd="@dimen/dp_16"
        app:layout_constraintBottom_toBottomOf="@id/mTitleBar">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_36"
            android:layout_gravity="center_vertical"
            android:background="@drawable/shape_f6f6f6_cor10"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_search"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/dp_2"
                android:layout_weight="1"
                android:background="@null"
                android:drawableStart="@mipmap/ic_search"
                android:drawablePadding="@dimen/dp_8"
                android:gravity="center_vertical"
                android:hint="请输入关键词"
                android:lines="1"
                android:imeOptions="actionSearch"
                android:maxLines="1"
                android:paddingStart="@dimen/dp_14"
                android:singleLine="true"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_clear_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10"
                android:src="@mipmap/ic_clear_text"
                android:visibility="invisible" />

        </androidx.appcompat.widget.LinearLayoutCompat>
    </FrameLayout>

    <LinearLayout
        android:id="@+id/layout_options"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_45"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_area"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableEnd="@mipmap/ic_option_arrow_down"
            android:drawablePadding="@dimen/dp_4"
            android:text="地区"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:csb_cornerRadius="@dimen/dp_25"
            app:csb_drawablePosition="right" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_time"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableEnd="@mipmap/ic_option_arrow_down"
            android:drawablePadding="@dimen/dp_4"
            android:text="时间"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:csb_cornerRadius="@dimen/dp_25"
            app:csb_drawablePosition="right" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_sort"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableEnd="@mipmap/ic_option_arrow_down"
            android:drawablePadding="@dimen/dp_4"
            android:text="排序方式"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:csb_cornerRadius="@dimen/dp_25"
            app:csb_drawablePosition="right" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_type"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableEnd="@mipmap/ic_option_arrow_down"
            android:drawablePadding="@dimen/dp_4"
            android:text="信息类型"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:csb_cornerRadius="@dimen/dp_25"
            app:csb_drawablePosition="right" />

    </LinearLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/mRefreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/windowBackground"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_options">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/mRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_7"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/listitem_bid" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <View
        android:id="@+id/view_mask"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#cc000000"
        android:clickable="true"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/mRefreshLayout"
        app:layout_constraintTop_toTopOf="@id/mRefreshLayout" />

</androidx.constraintlayout.widget.ConstraintLayout>